Summary: A graphical user interface for network management.
Name: cheops
Version: 0.60pre5 
Release: 11
Copyright: GPL
Group: Applications/Internet
Source0: ftp://ftp.marko.net/pub/cheops/%{name}-%{version}.tar.gz
Source1: cheops.wmconfig
Patch0: cheops-0.60pre5-decl.patch
Url: http://www.marko.net/cheops/
BuildRoot: /var/tmp/%{name}-root

%description
Cheops provides a simple interface for seeing and accessing network
resources.  Cheops is written using GTK+ and uses ping, traceroute,
halfscan and QueSO to provide information to network managers.

%prep
%setup -q
%patch -p1 -b .decl

%build
%configure 
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}/usr/{X11R6/bin,lib/cheops,share/cheops}

install -s cheops ${RPM_BUILD_ROOT}/usr/X11R6/bin
install pixmaps/*.xpm cheops.conf services.conf ${RPM_BUILD_ROOT}/usr/share/cheops
install plugins/*.so ${RPM_BUILD_ROOT}/usr/lib/cheops
strip -s $RPM_BUILD_ROOT/usr/lib/cheops/*

mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Utilities
cat > $RPM_BUILD_ROOT/etc/X11/applnk/Utilities/cheops.desktop <<EOF
[Desktop Entry]
Name=cheops
Type=Application
Description=cheops
Exec=cheops
EOF


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(0755,root,root)
%doc COPYING README Changelog
/usr/X11R6/bin/cheops
/usr/share/cheops/
/usr/lib/cheops
/etc/X11/applnk/Utilities/cheops.desktop

%changelog
* Fri Aug 4 2000 Tim Powers <timp@redhat.com>
- fix bad dir permissions, fix bug #15020
- what happened with the release number making it 69??? It isn't 69, it's 11

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 03 2000 Nalin Dahyabhai <nalin@redhat.com>
- patch to not fail on missing DNS types

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0
- use applnk inkstead of wmconfig

* Wed Jan 5 2000 Tim Powers <timp@redhat.com>
- rebuilt for 6.2

* Thu Aug 17 1999 Dale Lovelace <dale@redhat.com>
- added cheops.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- update to 60pre5
- built for 6.1

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 0.58

* Fri Dec 12 1998 Mark A. Spencer <markster@marko.net>
- Update to new cheops with plugin support

* Wed Dec 9 1998 Mark A. Spencer <markster@marko.net>
- Remove setuid permissions from cheops

* Tue Dec 8 1998 Michael Maher <mike@redhat.com>
- rebuilt rpm for powertools.  this was a great RPM.

* Mon Dec 7 1998 Charles Duffy <cduffy@bigfoot.com>
- Recompile against fixed GTK

* Mon Dec 7 1998 Mark A. Spencer <markster@marko.net>
- Fix permissions problems and incorporate RPM fixes from Tom <x@4t2.com>

* Sun Dec 6 1998 Mark A. Spencer <markster@marko.net>
- Initial Release.
